Skip to main content
GET
/
v2
/
subscriptions
/
{xid}
/
plan-attachments
List plan attachments
curl --request GET \
  --url https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "createdAt": 123,
      "activationAt": 123,
      "expirationAt": 123,
      "usedAllowance": {
        "dataBytes": 1,
        "voiceSeconds": 123,
        "smsMessages": 123
      },
      "plan": {
        "name": "<string>",
        "dataMegaBytes": 123,
        "periodDays": 123,
        "periodIterations": 1,
        "throttledSpeedKbps": 0,
        "label": "<string>",
        "coverageProfileId": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

xid
string
required

esim ICCID or subscription id

Response

200 - application/json

OK

items
PlanAttachment · object[]
required